Bug 927247 - (CVE-2013-1832) CVE-2013-1832 moodle: Password revealed in the WebDav repository (MSA-13-0014)
CVE-2013-1832 moodle: Password revealed in the WebDav repository (MSA-13-0014)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130325,repor...
: Security
Depends On: 927264 927267 927273
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 09:38 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 09:38:53 EDT
An information disclosure flaw was found in the way Moodle, a course management system, stored WebDav repository password (it was stored in plaintext on repository configuration form). A remote attacker (logged in as Moodle administrator user) could use this flaw to obtain sensitive information.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patch:
[3] http://git.moodle.org/gw?p=moodle.git;a=commit;h=ce96f23fe15ce6addc2f56af015452c3ea406190
Comment 1 Jan Lieskovsky 2013-03-25 09:54:21 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 18, 17, and Fedora EPEL-6. Please schedule an update.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-03-25 10:15:00 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:23:14 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:34:35 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]

Note You need to log in before you can comment on or make changes to this bug.